DefaultSqlStatementStrategyFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jdbc.sqlstrategy.DefaultSqlStatementStrategyFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jdbc.sqlstrategy
Class DefaultSqlStatementStrategyFactory

    java.lang.Object
      org.mule.transport.jdbc.sqlstrategy.DefaultSqlStatementStrategyFactory

All Implemented Interfaces:
  SqlStatementStrategyFactory

    public class DefaultSqlStatementStrategyFactory

extends Object
implements SqlStatementStrategyFactory

Field Summary
`protected CallableSqlStatementStrategy` | `callableSQLStrategy`
`protected SelectSqlStatementStrategy` | `selectSQLStrategy`
`protected SimpleUpdateSqlStatementStrategy` | `simpleUpdateSQLStrategy`

Constructor Summary
`DefaultSqlStatementStrategyFactory()`

Method Summary
`SqlStatementStrategy` | `create(String sql, Object payload)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### simpleUpdateSQLStrategy

    protected SimpleUpdateSqlStatementStrategy simpleUpdateSQLStrategy

### selectSQLStrategy

    protected SelectSqlStatementStrategy selectSQLStrategy

### callableSQLStrategy

    protected CallableSqlStatementStrategy callableSQLStrategy

Constructor Detail

### DefaultSqlStatementStrategyFactory

    public DefaultSqlStatementStrategyFactory()

Method Detail

### create

    public SqlStatementStrategy create(String sql,
                                       Object payload)
                                throws Exception

  Specified by:
    `create` in interface `SqlStatementStrategyFactory`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.